Package ru.bitel.bgbilling.modules.bill.common.bean

# Class Attribute

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.Attribute

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Attribute extends Id implements ContractIdable
Реквизиты договора для модуля Bill. Поле name является ключем(поле key) AttributeType, то есть как typeId
name - ключ AttributeType
value - значение

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`
  `Attribute(int id)`
  `Attribute(int id, int contractId, String name, String value, Period period)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  Возвращает id договора
  `int`
  `getContractParamPrefId()`
  Если реквизит указывает на параметр договора, то вернет id типа справочника параметра договора, иначе -1
  `String`
  `getName()`
  `Period`
  `getPeriod()`
  `String`
  `getValue()`
  `boolean`
  `isUseSuperContract()`
  Использовать ли параметры договора, если не заданы свои и реквизит ссылается на парамтр договора
  `Attribute`
  `setContractId(int contractId)`
  `Attribute`
  `setContractParamPrefId(int contractParamPrefId)`
  `Attribute`
  `setName(String name)`
  `Attribute`
  `setPeriod(Period period)`
  `Attribute`
  `setUseSuperContract(boolean useSuperContract)`
  `Attribute`
  `setValue(String value)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

  - ### Attribute

    public Attribute(int id)

  - ### Attribute

    public Attribute(int id, int contractId, String name, String value, Period period)

- ## Method Details

  - ### getContractId

    public int getContractId()
    Description copied from interface: `ContractIdable`
    Возвращает id договора
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:

  - ### setContractId

    public Attribute setContractId(int contractId)

  - ### getName

    public String getName()

  - ### setName

    public Attribute setName(String name)

  - ### getValue

    public String getValue()

  - ### setValue

    public Attribute setValue(String value)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public Attribute setPeriod(Period period)

  - ### getContractParamPrefId

    public int getContractParamPrefId()
    Если реквизит указывает на параметр договора, то вернет id типа справочника параметра договора, иначе -1

  - ### setContractParamPrefId

    public Attribute setContractParamPrefId(int contractParamPrefId)

  - ### isUseSuperContract

    public boolean isUseSuperContract()
    Использовать ли параметры договора, если не заданы свои и реквизит ссылается на парамтр договора

  - ### setUseSuperContract

    public Attribute setUseSuperContract(boolean useSuperContract)